extension XDataTime on DateTime {
  String get formattedGregorianDate {

    return "$year/${month.toString().padLeft(2, '0')}/${day.toString().padLeft(2, '0')}";
  }

  String get formattedDashedGregorian {

    return "$year-${month.toString().padLeft(2, '0')}-${day.toString().padLeft(2, '0')}";
  }


}